package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ComparisonDataModel {

    @SerializedName("model")
    @Expose
    private ComparisonModel comparisonModelList = null;
    @SerializedName("category")
    @Expose
    private List<ComparisonCategory> comparisonCategoryList = null;
    @SerializedName("compare_model")
    @Expose
    private List<ComparisonCompareModel> compareModel = null;

    public ComparisonModel getComparisonModelList() {
        return comparisonModelList;
    }

    public void setComparisonModelList(ComparisonModel comparisonModelList) {
        this.comparisonModelList = comparisonModelList;
    }

    public List<ComparisonCategory> getComparisonCategoryList() {
        return comparisonCategoryList;
    }

    public void setComparisonCategoryList(List<ComparisonCategory> comparisonCategoryList) {
        this.comparisonCategoryList = comparisonCategoryList;
    }

    public List<ComparisonCompareModel> getCompareModel() {
        return compareModel;
    }

    public void setCompareModel(List<ComparisonCompareModel> compareModel) {
        this.compareModel = compareModel;
    }
}